class cardController {

    constructor() {
        this.badgeClasses = {
            "not-ready": "",
            "ready": "fa-flag",
            "working": "fa-clock-o",
            "done": "fa-check",
            "error": "fa-exclamation-circle ",
            "warning": "fa-exclamation-triangle"
        }

    } 

    $onInit() {
        //this.title = this.service1.getTitle(); // suppose it returns a title string 
        this.title = 'foo';
    }

    tryAction(actionItem) {
        console.log(actionItem);
        if(actionItem.action){
            actionItem.action();
        }
    }



    // injection here
    // static get $inject() {
    //   return [
    //     '$service1', 
    //     '$service2'    
    //   ];
    // }
}

export default cardController;